Referência da APIWorkflows
Publish a new immutable version
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
workflow_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
definition*
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/v1/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \ -H "Content-Type: application/json" \ -d '{ "definition": { "inputs": [ "string" ], "steps": [ { "name": "string", "ruleset_id": "ca688a19-2766-4b2c-aefa-28d16a464773", "left": "string", "right": "string" } ] } }'{ "workflow_id": "string", "version": -9007199254740991, "definition": { "inputs": [ "string" ], "steps": [ { "name": "string", "ruleset_id": "ca688a19-2766-4b2c-aefa-28d16a464773", "ruleset_version": -9007199254740991, "left": "string", "right": "string", "project": [ { "name": "string", "type": "string", "scale": -9007199254740991, "expr": "string" } ] } ] }, "created_at": "2019-08-24T14:15:22Z"}
